Debian Bug report logs - #717249
jmock2: FTBFS with Java7

version graph

Package: jmock2; Maintainer for jmock2 is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Shuxiong Ye <yeshuxiong@gmail.com>

Date: Thu, 18 Jul 2013 11:45:02 UTC

Owned by: Miguel Landaeta <miguel@miguel.cc>

Severity: serious

Tags: confirmed, jessie, sid

Merged with 717122

Found in versions 2.5.1+dfsg, 2.5.1+dfsg-2

Fixed in version jmock2/2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1

Done: Miguel Landaeta <miguel@miguel.cc>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717249; Package jmock2. (Thu, 18 Jul 2013 11:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 18 Jul 2013 11:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: submit@bugs.debian.org
Subject: jmock2: FTBFS with Java7
Date: Thu, 18 Jul 2013 19:40:25 +0800
[Message part 1 (text/plain, inline)]
Package: jmock2
Version: 2.5.1+dfsg
Severity: serious
User: ubuntu-devel@lists.ubuntu.com
Usertags: openjdk-7-transition

compile:
    [mkdir] Created dir: /tmp/buildd/jmock2-2.5.1+dfsg/build/classes
    [javac] /tmp/buildd/jmock2-2.5.1+dfsg/build.xml:61: warning:
'includeantruntime' was not set, defaulting to build.sysclasspath=last; set
to false for repeatable builds
    [javac] Compiling 177 source files to
/tmp/buildd/jmock2-2.5.1+dfsg/build/classes
    [javac] warning: [options] bootstrap class path not set in conjunction
with -source 1.5
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/test/org/jmock/example/sniper/Money.java:30:
warning: unmappable character for encoding ASCII
    [javac]         return "??" + amount;
    [javac]                 ^
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/test/org/jmock/example/sniper/Money.java:30:
warning: unmappable character for encoding ASCII
    [javac]         return "??" + amount;
    [javac]                  ^
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:146: error:
name clash: with(Matcher<Boolean>) and <T>with(Matcher<T>) have the same
erasure
    [javac]     public boolean with(Matcher<Boolean> matcher) {
    [javac]                    ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:151: error:
name clash: with(Matcher<Byte>) and <T>with(Matcher<T>) have the same
erasure
    [javac]     public byte with(Matcher<Byte> matcher) {
    [javac]                 ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:156: error:
name clash: with(Matcher<Short>) and <T>with(Matcher<T>) have the same
erasure
    [javac]     public short with(Matcher<Short> matcher) {
    [javac]                  ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:161: error:
name clash: with(Matcher<Character>) and <T>with(Matcher<T>) have the same
erasure
    [javac]     public char with(Matcher<Character> matcher) {
    [javac]                 ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:166: error:
name clash: with(Matcher<Integer>) and <T>with(Matcher<T>) have the same
erasure
    [javac]     public int with(Matcher<Integer> matcher) {
    [javac]                ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:171: error:
name clash: with(Matcher<Long>) and <T>with(Matcher<T>) have the same
erasure
    [javac]     public long with(Matcher<Long> matcher) {
    [javac]                 ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:176: error:
name clash: with(Matcher<Float>) and <T>with(Matcher<T>) have the same
erasure
    [javac]     public float with(Matcher<Float> matcher) {
    [javac]                  ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:181: error:
name clash: with(Matcher<Double>) and <T>with(Matcher<T>) have the same
erasure
    [javac]     public double with(Matcher<Double> matcher) {
    [javac]                   ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/syntax/ArgumentConstraintPhrases.java:7:
error: name clash: with(Matcher<Boolean>) and <T>with(Matcher<T>) have the
same erasure
    [javac]     boolean with(Matcher<Boolean> matcher);
    [javac]             ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/syntax/ArgumentConstraintPhrases.java:8:
error: name clash: with(Matcher<Byte>) and <T>with(Matcher<T>) have the
same erasure
    [javac]     byte with(Matcher<Byte> matcher);
    [javac]          ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/syntax/ArgumentConstraintPhrases.java:9:
error: name clash: with(Matcher<Short>) and <T>with(Matcher<T>) have the
same erasure
    [javac]     short with(Matcher<Short> matcher);
    [javac]           ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/syntax/ArgumentConstraintPhrases.java:10:
error: name clash: with(Matcher<Integer>) and <T>with(Matcher<T>) have the
same erasure
    [javac]     int with(Matcher<Integer> matcher);
    [javac]         ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/syntax/ArgumentConstraintPhrases.java:11:
error: name clash: with(Matcher<Long>) and <T>with(Matcher<T>) have the
same erasure
    [javac]     long with(Matcher<Long> matcher);
    [javac]          ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/syntax/ArgumentConstraintPhrases.java:12:
error: name clash: with(Matcher<Float>) and <T>with(Matcher<T>) have the
same erasure
    [javac]     float with(Matcher<Float> matcher);
    [javac]           ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/syntax/ArgumentConstraintPhrases.java:13:
error: name clash: with(Matcher<Double>) and <T>with(Matcher<T>) have the
same erasure
    [javac]     double with(Matcher<Double> matcher);
    [javac]            ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac]
/tmp/buildd/jmock2-2.5.1+dfsg/src/org/jmock/Expectations.java:141: error:
name clash: <T>with(Matcher<T>) in Expectations and with(Matcher<Double>)
in ArgumentConstraintPhrases have the same erasure, yet neither overrides
the other
    [javac]     public <T> T with(Matcher<T> matcher) {
    [javac]                  ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method <T>with(Matcher<T>)
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 16 errors
    [javac] 3 warnings

BUILD FAILED
/tmp/buildd/jmock2-2.5.1+dfsg/build.xml:61: Compile failed; see the
compiler error output for details.


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[jmock2-openjdk-7-log (application/octet-stream, attachment)]

Marked as found in versions 2.5.1+dfsg-2. Request was from Shuxiong Ye <yeshuxiong@gmail.com> to control@bugs.debian.org. (Thu, 18 Jul 2013 19:54:11 GMT) Full text and rfc822 format available.

Added tag(s) sid and jessie. Request was from Shuxiong Ye <yeshuxiong@gmail.com> to control@bugs.debian.org. (Thu, 18 Jul 2013 19:54:12 GMT) Full text and rfc822 format available.

Merged 717122 717249 Request was from Shuxiong Ye <yeshuxiong@gmail.com> to control@bugs.debian.org. (Thu, 18 Jul 2013 19:54:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717249; Package jmock2. (Sun, 21 Jul 2013 07:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 21 Jul 2013 07:54:04 GMT) Full text and rfc822 format available.

Message #16 received at 717249@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: 717249@bugs.debian.org
Subject: Jmock2 doesn't support Java7
Date: Sun, 21 Jul 2013 15:50:30 +0800
[Message part 1 (text/plain, inline)]
Hi, it seems Jmock2 doesn't support Java7.
See here http://article.gmane.org/gmane.comp.java.jmock.user/2626

-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]

Added indication that bug 717249 blocks 720911 Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Mon, 26 Aug 2013 09:09:09 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Stephen Nelson <stephen@eccostudio.com> to control@bugs.debian.org. (Wed, 04 Sep 2013 11:48:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717249; Package jmock2. (Sun, 29 Sep 2013 19:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 29 Sep 2013 19:45:07 GMT) Full text and rfc822 format available.

Message #25 received at 717249@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 717122@bugs.debian.org, 717249@bugs.debian.org, 721538@bugs.debian.org
Cc: control@bugs.debian.org
Subject: jmock2: Taking care of the bugs
Date: Sun, 29 Sep 2013 16:49:13 -0300
owner 717122 !
owner 717249 !
owner 721538 !
thanks

Hi,

It's just to let know I would care take of fixing these bugs.

Thanks,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche



Owner recorded as Miguel Landaeta <miguel@miguel.cc>. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Sun, 29 Sep 2013 19:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717249; Package jmock2. (Sun, 29 Sep 2013 23:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 29 Sep 2013 23:03:08 GMT) Full text and rfc822 format available.

Message #32 received at 717249@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 717122@bugs.debian.org, 717249@bugs.debian.org, 721538@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: jmock2: Taking care of the bugs
Date: Sun, 29 Sep 2013 20:07:04 -0300
[Message part 1 (text/plain, inline)]
tags 717122 + pending
tags 717249 + pending
tags 721538 + pending
thanks

I committed a fix for these bugs to the git repository.

An upload fixing the in the archive should happen soon.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Sun, 29 Sep 2013 23:03:15 GMT) Full text and rfc822 format available.

Message #35 received at 717122-close@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 717122-close@bugs.debian.org
Subject: Bug#717122: fixed in jmock2 2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1
Date: Mon, 07 Oct 2013 03:33:29 +0000
Source: jmock2
Source-Version: 2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1

We believe that the bug you reported is fixed in the latest version of
jmock2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717122@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Miguel Landaeta <miguel@miguel.cc> (supplier of updated jmock2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 06 Oct 2013 18:24:26 -0300
Source: jmock2
Binary: libjmock2-java libjmock2-java-doc
Architecture: source all
Version: 2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Miguel Landaeta <miguel@miguel.cc>
Description: 
 libjmock2-java - Java library for testing code with mock objects
 libjmock2-java-doc - Documentation for jmock2
Closes: 717122 717249 721538
Changes: 
 jmock2 (2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1) unstable; urgency=low
 .
   [ Miguel Landaeta ]
   * Team upload.
   * New upstream release.
   * Fix wrong dependencies on junit in POM files. (Closes: #721538).
     Added patch (upstream is not providing POM files anymore):
     - 08mavenpoms
   * Prevent FTBFS errors by ignoring some unit tests failures. Added patches:
     - 06donthaltonjunitfailure
     - 07missinghamcrestjar
 .
   [ Emmanuel Bourg ]
   * Use canonical URLs for the Vcs-* fields
   * debian/copyright: Removed the reference to /usr/share/common-licenses/BSD
     and quote the license text.
   * debian/rules: Improved the clean target
 .
   [ Stephen Nelson ]
   * Fix a some FTBFS due to Java7 switch. (Closes: #717122, #717249).
   * Bump Standards-Version to 3.9.4. No changes were required.
   * Removed bundled jar files.
   * Bumped debhelper to version 9.
   * Patched build.xml to create java 1.6 source.
   * Patched source for unmappable character when using java 1.6 javadoc
     generation.
Checksums-Sha1: 
 5bdd85441fc5b896a7115d701a87e31290f5f48e 2442 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.dsc
 e808d259e51941c117c6cba8784a397467db1987 87872 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg.orig.tar.gz
 f8029b30345be75a5b6e00b03beb312a2f1c1be8 10562 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.debian.tar.gz
 87728ecf4460789dc3f8a429593071b0594a356a 77624 libjmock2-java_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
 4150f0f96a6b04322c5773d5f13f6015b7567d2b 66760 libjmock2-java-doc_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
Checksums-Sha256: 
 2049404013b69d432abf00ee38a62eaa7256db4e0db8c15ac28fcfb5cd11c836 2442 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.dsc
 77a00b60557d95444352849fa9e7fdab92dfe707248661420560293bfae3339a 87872 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg.orig.tar.gz
 617b340bda5e554f48cb97dd6a6e7d80c1910a48244a117212c3c01de69ff65e 10562 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.debian.tar.gz
 4c0f94a3b2c07e78e28ba30c6a51fc0c2f1785a1d40eb2d484309585feeb1623 77624 libjmock2-java_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
 94555f3aa61306cb3fd6a3762bcc2fe41f3b63784529b67f17176f3912bffd12 66760 libjmock2-java-doc_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
Files: 
 6ce27af350be549abe363abdbd70f282 2442 java optional jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.dsc
 1b16793d77817d2d7f08f1f848dc4ac6 87872 java optional jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg.orig.tar.gz
 e2966fcd72e79e2681f6003b73a07eee 10562 java optional jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.debian.tar.gz
 80a49bd8fa85f93f3e9db8059e30d1b8 77624 java optional libjmock2-java_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
 8441cca55342b843aa3ababa0fb9a057 66760 doc optional libjmock2-java-doc_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSUinrAAoJECHSBYmXSz6WkfwP/RRF/YSv6/Th7l4wZbBsCn4e
oPWbZVbSgVKNyYZ0ZArWCHJ4Vs3HnFIpHBDWCJ9B3KWk+LSWkeRc2mov+5IsB2un
qzmNyGhcynfn6a1nzRvWBcciX3Tr6T+Bv/DVU9X12oXhchluywtj9w1KybJ+IgwT
jcP/xAK5xNfcsyeA8kfvNdSdqWCdn5n4UZ/kMRsyawGxXsA5E4YKG4/ZAv/P3m3i
kwm6EySCcx4jSX1Ld8vz7J4iNyHL4Dq4touEn+VE6f8+3pzXnHDQ05yp8+COY/tf
S18Z2Y+H49s8baQylHPpX12xwTrT24AdNYzc0RpbhHvgZ3M9o1at08Qzua5GC8O3
rpkky8tnsF+i/mMxJ5/Pa9PD4FQf3kfWN+JUVXfjwdtb5A5ZdYl5Lwat6CZCpnw5
dY2rNZEAIcNLeTCgCOk9TKtq4gzelCECNXDwGHSJOZ+aOPtFw4uQKlpITlv2pIkP
uJ8vnFBh3yYix/E35q/6YzkP1EesU/Wl6VfcqwfD2/nhQyBiPuosakw3RR8wzc5/
SE8OaNhCOsEQfqzm8vSSyw09wBq3+0ckDnXA0caPYEJAr+61e0QFp8konIC09pDa
Oiddad2GhlviWqRXQiTmZKIdwesmf9WwHeUU9PdZGvxkac+Uicp8k2cnUuZZ5UXU
KdfFI6y2FxPDIpYpXr2N
=dcDt
-----END PGP SIGNATURE-----




Reply sent to Miguel Landaeta <miguel@miguel.cc>:
You have taken responsibility. (Mon, 07 Oct 2013 03:36:15 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Mon, 07 Oct 2013 03:36:15 GMT) Full text and rfc822 format available.

Message #40 received at 717249-close@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 717249-close@bugs.debian.org
Subject: Bug#717249: fixed in jmock2 2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1
Date: Mon, 07 Oct 2013 03:33:29 +0000
Source: jmock2
Source-Version: 2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1

We believe that the bug you reported is fixed in the latest version of
jmock2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717249@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Miguel Landaeta <miguel@miguel.cc> (supplier of updated jmock2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 06 Oct 2013 18:24:26 -0300
Source: jmock2
Binary: libjmock2-java libjmock2-java-doc
Architecture: source all
Version: 2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Miguel Landaeta <miguel@miguel.cc>
Description: 
 libjmock2-java - Java library for testing code with mock objects
 libjmock2-java-doc - Documentation for jmock2
Closes: 717122 717249 721538
Changes: 
 jmock2 (2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1) unstable; urgency=low
 .
   [ Miguel Landaeta ]
   * Team upload.
   * New upstream release.
   * Fix wrong dependencies on junit in POM files. (Closes: #721538).
     Added patch (upstream is not providing POM files anymore):
     - 08mavenpoms
   * Prevent FTBFS errors by ignoring some unit tests failures. Added patches:
     - 06donthaltonjunitfailure
     - 07missinghamcrestjar
 .
   [ Emmanuel Bourg ]
   * Use canonical URLs for the Vcs-* fields
   * debian/copyright: Removed the reference to /usr/share/common-licenses/BSD
     and quote the license text.
   * debian/rules: Improved the clean target
 .
   [ Stephen Nelson ]
   * Fix a some FTBFS due to Java7 switch. (Closes: #717122, #717249).
   * Bump Standards-Version to 3.9.4. No changes were required.
   * Removed bundled jar files.
   * Bumped debhelper to version 9.
   * Patched build.xml to create java 1.6 source.
   * Patched source for unmappable character when using java 1.6 javadoc
     generation.
Checksums-Sha1: 
 5bdd85441fc5b896a7115d701a87e31290f5f48e 2442 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.dsc
 e808d259e51941c117c6cba8784a397467db1987 87872 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg.orig.tar.gz
 f8029b30345be75a5b6e00b03beb312a2f1c1be8 10562 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.debian.tar.gz
 87728ecf4460789dc3f8a429593071b0594a356a 77624 libjmock2-java_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
 4150f0f96a6b04322c5773d5f13f6015b7567d2b 66760 libjmock2-java-doc_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
Checksums-Sha256: 
 2049404013b69d432abf00ee38a62eaa7256db4e0db8c15ac28fcfb5cd11c836 2442 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.dsc
 77a00b60557d95444352849fa9e7fdab92dfe707248661420560293bfae3339a 87872 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg.orig.tar.gz
 617b340bda5e554f48cb97dd6a6e7d80c1910a48244a117212c3c01de69ff65e 10562 jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.debian.tar.gz
 4c0f94a3b2c07e78e28ba30c6a51fc0c2f1785a1d40eb2d484309585feeb1623 77624 libjmock2-java_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
 94555f3aa61306cb3fd6a3762bcc2fe41f3b63784529b67f17176f3912bffd12 66760 libjmock2-java-doc_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
Files: 
 6ce27af350be549abe363abdbd70f282 2442 java optional jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.dsc
 1b16793d77817d2d7f08f1f848dc4ac6 87872 java optional jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg.orig.tar.gz
 e2966fcd72e79e2681f6003b73a07eee 10562 java optional jmock2_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1.debian.tar.gz
 80a49bd8fa85f93f3e9db8059e30d1b8 77624 java optional libjmock2-java_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb
 8441cca55342b843aa3ababa0fb9a057 66760 doc optional libjmock2-java-doc_2.7~snapshot+201309170925-gitd7fe69b5+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSUinrAAoJECHSBYmXSz6WkfwP/RRF/YSv6/Th7l4wZbBsCn4e
oPWbZVbSgVKNyYZ0ZArWCHJ4Vs3HnFIpHBDWCJ9B3KWk+LSWkeRc2mov+5IsB2un
qzmNyGhcynfn6a1nzRvWBcciX3Tr6T+Bv/DVU9X12oXhchluywtj9w1KybJ+IgwT
jcP/xAK5xNfcsyeA8kfvNdSdqWCdn5n4UZ/kMRsyawGxXsA5E4YKG4/ZAv/P3m3i
kwm6EySCcx4jSX1Ld8vz7J4iNyHL4Dq4touEn+VE6f8+3pzXnHDQ05yp8+COY/tf
S18Z2Y+H49s8baQylHPpX12xwTrT24AdNYzc0RpbhHvgZ3M9o1at08Qzua5GC8O3
rpkky8tnsF+i/mMxJ5/Pa9PD4FQf3kfWN+JUVXfjwdtb5A5ZdYl5Lwat6CZCpnw5
dY2rNZEAIcNLeTCgCOk9TKtq4gzelCECNXDwGHSJOZ+aOPtFw4uQKlpITlv2pIkP
uJ8vnFBh3yYix/E35q/6YzkP1EesU/Wl6VfcqwfD2/nhQyBiPuosakw3RR8wzc5/
SE8OaNhCOsEQfqzm8vSSyw09wBq3+0ckDnXA0caPYEJAr+61e0QFp8konIC09pDa
Oiddad2GhlviWqRXQiTmZKIdwesmf9WwHeUU9PdZGvxkac+Uicp8k2cnUuZZ5UXU
KdfFI6y2FxPDIpYpXr2N
=dcDt
-----END PGP SIGNATURE-----




Reply sent to Miguel Landaeta <miguel@miguel.cc>:
You have taken responsibility. (Mon, 07 Oct 2013 03:36:16 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Mon, 07 Oct 2013 03:36:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Nov 2013 07:28:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:56:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.